<template>
    <div>
    <b-navbar toggleable type="light" variant="light">
        <b-navbar-toggle target="nav_text_collapse"></b-navbar-toggle>
        <b-collapse is-nav id="nav_text_collapse">
            <b-navbar-nav>
                <template v-for="item in paths" href="#">
                    <b-nav-item><router-link :to="item.path">{{item.name}}</router-link></b-nav-item>
                </template>
            </b-navbar-nav>
        </b-collapse>
    </b-navbar>
</div>

</template>

<script>
export default {
  data: () => ({
    paths: [],
    items: [
      { message: 'Foo' },
      { message: 'Bar' }
    ]
  }),
  created () {
    this.$router.options.routes.forEach((element, index) => {
      this.paths.push(element)
    })
    console.log(this.paths)
  }
}
</script>

<style>

</style>
